> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-dellapi-geopard/59.-query-recupera-asapplieddatasets.md).

# 59. Query: Recupera "AsAppliedDatasets"

Recupera dataset As-Planted o As-Applied

Ottieni tutti gli "AsAppliedDatasets" per il "Field" selezionato. I dataset possono essere recuperati utilizzando query GraphQL generiche come `getFarms` e `getFields` dal "Field" collegato.&#x20;

{% hint style="warning" %}
Un "AsAppliedDataset" deve essere caricato in anticipo.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    nome
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        nome
        number #numero totale di geofeature 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #dettagli completi per attributo
          name #collegamento a statistiche >> attributo
          transliteratedName
          fullName #nome leggibile dall'uomo corretto
          unit#unità di misura
        }

        usedMachines { #macchine utilizzate
          id
          serial
          operatorId
        } 

        createdDate #data e ora di creazione dell'entità in GeoPard
        updatedDate #data e ora dell'ultimo aggiornamento
        operationId
        operationType
        operationFileDate #data e ora di creazione del file provengono dalle metainformazioni 
        operationStartDate #inizio dell'operazione proviene dalle metainformazioni
        
        statistics { #distribuzione statistica per ogni attributo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        nome
        number #numero totale di geofeature 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #dettagli completi per attributo
          name #collegamento a statistiche >> attributo
          transliteratedName
          fullName #nome leggibile dall'uomo corretto
          unit#unità di misura
        }

        usedMachines { #macchine utilizzate
          id
          serial
          operatorId
        } 

        createdDate #data e ora di creazione dell'entità in GeoPard
        updatedDate #data e ora dell'ultimo aggiornamento
        operationId
        operationType
        operationFileDate #data e ora di creazione del file provengono dalle metainformazioni 
        operationStartDate #inizio dell'operazione proviene dalle metainformazioni
        
        statistics { #distribuzione statistica per ogni attributo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-dellapi-geopard/59.-query-recupera-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
